# $Revision: 1.150 $, $Date: 2012/02/16 19:42:28 $
#
# Conditional build:
%bcond_without	apidocs # disable gtk-doc
%bcond_without	cairo	# disable Cairo backend
%bcond_without	qt4	# disable qt4 wrapper
%bcond_without	cpp	# disable cpp wrapper
%bcond_without	glib	# disable glib wrapper
#
%define		cairo_ver	1.10.0
#
Summary:	PDF rendering library
Summary(pl.UTF-8):	Biblioteka renderująca PDF
Name:		poppler
Version:	0.18.4
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://poppler.freedesktop.org/%{name}-%{version}.tar.gz
# Source0-md5:	12658f3308597e57f3faff538cc73baf
URL:		http://poppler.freedesktop.org/
%{?with_qt4:BuildRequires:	QtGui-devel >= 4.4.0}
%{?with_qt4:BuildRequires:	QtTest-devel >= 4.4.0}
%{?with_qt4:BuildRequires:	QtXml-devel >= 4.4.0}
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
%{?with_cairo:BuildRequires:	cairo-devel >= %{cairo_ver}}
BuildRequires:	curl-devel
BuildRequires:	docbook-dtd412-xml
BuildRequires:	fontconfig-devel >= 2.0.0
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	gettext-devel
%{?with_glib:BuildRequires:	glib2-devel >= 1:2.18.0}
BuildRequires:	gobject-introspection-devel >= 0.6.7
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.14}
BuildRequires:	lcms-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	openjpeg-devel
BuildRequires:	pkgconfig >= 1:0.18
%{?with_qt4:BuildRequires:	qt4-build}
BuildRequires:	sed >= 4.0
BuildRequires:	which
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A common PDF rendering library for integrating PDF viewing into
desktop applications (based on the xpdf-3.0 code base).

%description -l pl.UTF-8
Wspólna biblioteka renderująca PDF do integrowania oglądania PDF w
aplikacjach desktopowych (oparta na kodzie xpdf-3.0).

%package devel
Summary:	Poppler header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Poppler
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel
Requires:	fontconfig-devel >= 2.0.0
Requires:	freetype-devel >= 2.0
Requires:	lcms-devel
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	libstdc++-devel
Requires:	libtiff-devel
Requires:	openjpeg-devel
Requires:	zlib-devel

%description devel
Header files for the Poppler library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Poppler.

%package static
Summary:	Poppler static libraries
Summary(pl.UTF-8):	Statyczne biblioteki Poppler
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Poppler static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki Poppler.

%package apidocs
Summary:	Poppler library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki Poppler
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Poppler library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Poppler.

%package cpp
Summary:	Cpp wrapper for poppler
Summary(pl.UTF-8):	Wrapper cpp dla popplera
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description cpp
Cpp wrapper for poppler.

%description cpp -l pl.UTF-8
Wrapper cpp dla popplera.

%package cpp-devel
Summary:	Header files for cpp wrapper for poppler
Summary(pl.UTF-8):	Pliki nagłówkowe wrappera cpp dla popplera
Group:		Development/Libraries
Requires:	%{name}-cpp = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}

%description cpp-devel
Header files for cpp wrapper for poppler.

%description cpp-devel -l pl.UTF-8
Pliki nagłówkowe wrappera cpp dla popplera.

%package cpp-static
Summary:	Static version of cpp wrapper for poppler
Summary(pl.UTF-8):	Statyczna wersja wrappera cpp dla popplera
Group:		Development/Libraries
Requires:	%{name}-cpp-devel = %{version}-%{release}

%description cpp-static
Static version of cpp wrapper for poppler.

%description cpp-static -l pl.UTF-8
Statyczna wersja wrappera cpp dla popplera.

%package glib
Summary:	GLib wrapper for poppler
Summary(pl.UTF-8):	Wrapper GLib dla popplera
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_cairo:Requires:	cairo >= %{cairo_ver}}
Requires:	glib2 >= 1:2.18.0

%description glib
GLib wrapper for poppler.

%description glib -l pl.UTF-8
Wrapper GLib dla popplera.

%package glib-devel
Summary:	Header files for GLib wrapper for poppler
Summary(pl.UTF-8):	Pliki nagłówkowe wrappera GLib dla popplera
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-glib = %{version}-%{release}
%{?with_cairo:Requires:	cairo-devel >= %{cairo_ver}}
Requires:	glib2-devel >= 1:2.18.0

%description glib-devel
Header files for GLib wrapper for poppler.

%description glib-devel -l pl.UTF-8
Pliki nagłówkowe wrappera GLib dla popplera.

%package glib-static
Summary:	Static version of GLib wrapper for poppler
Summary(pl.UTF-8):	Statyczna wersja wrappera GLib dla popplera
Group:		Development/Libraries
Requires:	%{name}-glib-devel = %{version}-%{release}

%description glib-static
Static version of GLib wrapper for poppler.

%description glib-static -l pl.UTF-8
Statyczna wersja wrappera GLib dla popplera.

%package Qt
Summary:	Qt4 wrapper for poppler
Summary(pl.UTF-8):	Wrapper Qt4 dla popplera
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	QtGui >= 4.4.0
Requires:	QtXml >= 4.4.0
Obsoletes:	poppler-qt

%description Qt
Qt4 wrapper for poppler.

%description Qt -l pl.UTF-8
Wrapper Qt4 dla popplera.

%package Qt-devel
Summary:	Header files for Qt4 wrapper for poppler
Summary(pl.UTF-8):	Pliki nagłówkowe wrappera Qt4 dla popplera
Group:		Development/Libraries
Requires:	%{name}-Qt = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	QtGui-devel >= 4.4.0
Requires:	QtXml-devel >= 4.4.0
Obsoletes:	poppler-qt-devel

%description Qt-devel
Header files for Qt4 wrapper for poppler.

%description Qt-devel -l pl.UTF-8
Pliki nagłówkowe wrapper Qt4 dla popplera.

%package Qt-static
Summary:	Static version of Qt4 wrapper for poppler
Summary(pl.UTF-8):	Statyczna wersja wrappera Qt4 dla popplera
Group:		Development/Libraries
Requires:	%{name}-Qt-devel = %{version}-%{release}
Obsoletes:	poppler-qt-static

%description Qt-static
Static version of Qt4 wrapper for poppler.

%description Qt-static -l pl.UTF-8
Statyczna wersja wrappera Qt4 dla popplera.

%package progs
Summary:	Set of tools for viewing information and converting PDF files
Summary(pl.UTF-8):	Zestaw narzędzi do wyświetlania informacji i konwertowania plików PDF
Group:		Applications/Publishing
Provides:	pdftops
Obsoletes:	pdftohtml
Obsoletes:	pdftohtml-pdftops
Obsoletes:	poppler-utils
Obsoletes:	xpdf-tools

%description progs
Package contains utilites for PDF files. These utilities allow to
- extract information about PDF files,
- extract images from PDF files,
- convert PDF files to HTML, plain text and PS formats.

%description progs -l pl.UTF-8
Pakiet zawiera zestaw narzędzi do plików PDF. Programy te umożliwiają
- wyświetlanie informacji o plikach PDF,
- wydobywanie obrazków z plików PDF,
- konwersję plików PDF do formatów takich jak HTML, PS czy też
  czystego tekstu.

%prep
%setup -q

%build
%{?with_apidocs:%{__gtkdocize}}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf} -f
%{__autoheader}
%{__automake}
%configure \
	MOCQT4=/usr/bin/moc-qt4 \
	--disable-gtk-test \
	--enable-libcurl \
	%{?with_apidocs:--enable-gtk-doc} \
	%{!?with_cairo:--disable-cairo-output} \
	%{!?with_cpp:--disable-poppler-cpp} \
	%{!?with_glib:--disable-poppler-glib} \
	%{!?with_qt4:--disable-poppler-qt4} \
	--disable-silent-rules \
	--enable-xpdf-headers \
	--enable-zlib \
	--enable-dependency-tracking \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{without apidocs}
# why it still installs them, brr
%{__rm} -rf $RPM_BUILD_ROOT%{_gtkdocdir}/poppler || :
%endif

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	cpp -p /sbin/ldconfig
%postun	cpp -p /sbin/ldconfig

%post	glib -p /sbin/ldconfig
%postun	glib -p /sbin/ldconfig

%post	Qt -p /sbin/ldconfig
%postun	Qt -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* TODO
%attr(755,root,root) %{_libdir}/libpoppler.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpoppler.so.19

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpoppler.so
%dir %{_includedir}/poppler
%{_includedir}/poppler/poppler-config.h
%{_includedir}/poppler/[ABCDEFGHJLMNOPRSTUVX]*.h
%{_includedir}/poppler/fofi
%{_includedir}/poppler/goo
%{_includedir}/poppler/splash
%{_pkgconfigdir}/poppler.pc
%{?with_cairo:%{_pkgconfigdir}/poppler-cairo.pc}
%{_pkgconfigdir}/poppler-splash.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libpoppler.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/poppler
%endif

%if %{with cpp}
%files cpp
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpoppler-cpp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpoppler-cpp.so.0

%files cpp-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpoppler-cpp.so
%{_includedir}/poppler/cpp
%{_pkgconfigdir}/poppler-cpp.pc

%files cpp-static
%defattr(644,root,root,755)
%{_libdir}/libpoppler-cpp.a
%endif

%if %{with glib}
%files glib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpoppler-glib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpoppler-glib.so.8
%{_libdir}/girepository-1.0/Poppler-0.18.typelib

%files glib-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpoppler-glib.so
%{_includedir}/poppler/glib
%{_pkgconfigdir}/poppler-glib.pc
%{_datadir}/gir-1.0/Poppler-0.18.gir

%files glib-static
%defattr(644,root,root,755)
%{_libdir}/libpoppler-glib.a
%endif

%if %{with qt4}
%files Qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpoppler-qt4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpoppler-qt4.so.3

%files Qt-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpoppler-qt4.so
%{_includedir}/poppler/qt4
%{_pkgconfigdir}/poppler-qt4.pc

%files Qt-static
%defattr(644,root,root,755)
%{_libdir}/libpoppler-qt4.a
%endif

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pdf*
%{_mandir}/man1/pdf*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: poppler.spec,v $
Revision 1.150  2012/02/16 19:42:28  qboosh
- updated to 0.18.4
- pass MOCQT4=moc-qt4 so qt4 detection doesn't fail because of moc being qt3 tool

Revision 1.149  2012/02/08 19:00:46  arekm
- release 2

Revision 1.148  2012/01/18 13:53:32  caleb
- Up to 0.18.3

Revision 1.147  2012/01/13 16:39:34  arekm
- release 3

Revision 1.146  2011/12/20 19:38:25  arekm
- release 2

Revision 1.145  2011/12/08 10:49:43  lisu
- merged with DEVEL

Revision 1.144  2011/12/08 10:45:29  lisu
- up to 0.18.2

Revision 1.143  2011/11/13 20:50:10  arekm
- release 4

Revision 1.142  2011/11/13 18:28:00  qboosh
- let -Qt(4) binding packages Obsolete -qt(3) binding packages
- BR: libjpeg-devel, libpng-devel, libtiff-devel (+devel deps)
- now there is no gdk option for glib binding

Revision 1.141  2011/11/13 10:57:46  arekm
- release 3

Revision 1.140  2011/11/13 10:57:06  arekm
- release 2

Revision 1.139  2011/11/13 10:40:25  arekm
- up to 0.18.1; qt3 bindings are gone

Revision 1.138  2011/09/17 14:40:10  sls
- pass --disable-gdk to configure if builded --without gdk

Revision 1.137  2011/09/17 14:25:05  sls
- explicit support for gdk features in poppler-glib
- rel. 2

Revision 1.136  2011/08/12 16:33:20  glen
- name collision on case insensitive fs

Revision 1.135  2011/07/11 19:33:11  arekm
- up to 0.16.7

Revision 1.134  2011/06/08 21:32:18  arekm
- up to 0.16.6 (fixes some segfaults)

Revision 1.133  2011/06/05 16:44:38  gotar
- enabled libcurl, cosmetics, rel. 2

Revision 1.132  2011/05/18 21:33:47  matkor
- Up to 0.16.15. Release 1.

Revision 1.131.2.5  2011/09/16 10:26:47  lisu
- fix first line

Revision 1.131.2.4  2011/09/16 10:21:03  lisu
- updated to 0.17.4
- new version of .gir and .typelib

Revision 1.131.2.3  2011/08/30 07:58:30  lisu
- updated to 0.17.3
- new version of soname

Revision 1.131.2.2  2011/05/05 07:54:09  lisu
- updated to 0.17.1
- bump version of soname

Revision 1.131.2.1  2011/04/22 08:36:44  lisu
- updated to 0.17.0 (0.18 Alpha)
- bump sonames versions
- the Qt3 frontend has been removed by upstream

Revision 1.131  2011/04/21 13:12:15  lisu
- updated to 0.16.4

Revision 1.130  2011/04/06 10:56:19  jajcus
- without_apidocs doesn't build the docs, sometimes, don't fail when they are missing

Revision 1.129  2011/04/06 10:51:41  jajcus
- move typelib and gir files to the glib subpackages

Revision 1.128  2011/04/06 06:58:16  wiget
- drop libtool files
- rel. 2

Revision 1.127  2011/03/01 08:19:57  lisu
- up to 0.16.3

Revision 1.126  2011/01/29 14:02:39  lisu
- updated to 0.16.2

Revision 1.125  2011/01/28 08:12:31  lisu
- up to 0.16.1

Revision 1.124  2010/12/29 17:58:48  qboosh
- package Hints.h header and gir files
- updated cairo and gtk-doc versions

Revision 1.123  2010/12/28 08:34:30  lisu
- quick fix

Revision 1.122  2010/12/28 08:33:00  lisu
- updated to 0.16.0
- merged with DEVEL
- bump version of sonames

Revision 1.121  2010/11/09 08:40:19  lisu
- up to 0.14.5

Revision 1.120  2010/11/09 08:30:24  arekm
- mention that 0.14 is stable

Revision 1.119  2010/11/09 08:28:34  caleb
- Reverting to 0.14.1, 0.15.x is development branch

Revision 1.118  2010/11/08 19:25:13  caleb
- Up to 0.15.1

Revision 1.117  2010/10/23 19:39:22  qboosh
- really fixed libpoppler-qt linking
- added missing ldconfig for -cpp
- updated dependency versions

Revision 1.116  2010/10/11 09:10:38  lisu
- up to 0.14.4
- fix linking poppler-qt4

Revision 1.115.2.4  2010/12/02 15:13:56  lisu
- 0.15.3
- bump soname version

Revision 1.115.2.3  2010/11/16 12:31:46  lisu
- 0.15.2
- bump version of soname

Revision 1.115.2.2  2010/10/21 07:54:20  lisu
- up to 0.15.1
- add -link.patch to avoid unresolved symbols
- bump version of libpoppler soname

Revision 1.115.2.1  2010/09/17 07:38:05  lisu
- updated to 0.15.0
- bump version of libpoppler and libpoppler-glib sonames

Revision 1.115  2010/09/17 07:35:37  lisu
- reversed. 0.15.0 moved to DEVEL

Revision 1.113  2010/09/11 09:44:33  lisu
- 0.14.3

Revision 1.112  2010/08/21 22:28:57  charles
- BR: gettext-devel

Revision 1.111  2010/08/12 12:51:18  lisu
- 0.14.2
- bump version of libpoppler soname

Revision 1.110  2010/07/12 14:07:09  lisu
- 0.14.1

Revision 1.109  2010/06/22 19:26:06  megabajt
- package all files

Revision 1.108  2010/06/16 20:11:58  lisu
- glib2-devel required only when building with glib enabled

Revision 1.107  2010/06/16 14:40:43  lisu
- remove TODO

Revision 1.106  2010/06/16 14:39:48  lisu
- add bcond for glib wrapper
- if statements for cpp bcond in %%files

Revision 1.105  2010/06/16 14:27:52  lisu
- add bcond and subpackages for cpp wrapper
- rel 2

Revision 1.104  2010/06/16 13:59:38  lisu
- TODO

Revision 1.103  2010/06/16 13:58:29  lisu
- up to 0.14.0
- new versions of .so libraries

Revision 1.102  2010/03/14 17:33:29  megabajt
- added BR: openjpeg-devel (and R: for -devel)
- release 3

Revision 1.101  2010/02/27 21:57:31  glen
- builds ok with qt3 -- re-enable; rel 2

Revision 1.100.2.4  2010/05/26 10:35:17  lisu
- 0.13.4

Revision 1.100.2.3  2010/04/26 07:56:43  lisu
- 0.13.3

Revision 1.100.2.2  2010/03/29 11:40:30  lisu
- 0.13.2

Revision 1.100.2.1  2010/02/19 09:26:06  lisu
- up to 0.13.0

Revision 1.100  2010/02/18 15:06:00  lisu
- 0.12.4

Revision 1.99  2010/01/28 16:28:15  arekm
- rel 4; disable qt(3) bcond

Revision 1.98  2010/01/28 16:21:04  arekm
- rel 3

Revision 1.97  2010/01/15 00:33:51  sparky
- dropped BR: source-highlight -- not used directly

Revision 1.96  2010/01/14 13:40:44  sparky
- BR: which

Revision 1.95  2010/01/14 13:28:04  sparky
- BR source-highlight for apidocs

Revision 1.94  2010/01/14 11:34:43  hawk
- release 2

Revision 1.93  2009/12/28 13:04:58  lisu
- 0.12.3

Revision 1.92  2009/11/28 01:35:29  sparky
- BR: docbook-dtd412-xml

Revision 1.91  2009/11/19 11:00:35  lisu
- up to 0.12.2

Revision 1.90  2009/11/12 10:36:42  patrys
- explicitly disable gtk test

Revision 1.89  2009/11/12 10:34:39  patrys
- require glib2, not gtk+2
- rel 2

Revision 1.88  2009/10/25 15:25:28  sls
- rm BR: gdk-pixbuf-devel (it requires gdk-pixbuf-2, i.e. gtk+2-devel)

Revision 1.87  2009/10/24 05:16:11  sls
- reverted last commit (it's more not so simple)

Revision 1.86  2009/10/24 04:17:06  sls
- rm BR: gtk+2-devel (required for GTK+ test program)

Revision 1.85  2009/10/19 13:11:44  lisu
- up to 0.12.1

Revision 1.84  2009/09/13 22:37:05  gotar
- BR: gdk-pixbuf-devel

Revision 1.83  2009/09/10 09:37:14  lisu
- up to 0.12.0
- merge with DEVEL

Revision 1.82  2009/07/11 19:56:10  arekm
- release 2

Revision 1.81  2009/06/02 14:16:16  lisu
- 0.10.7

Revision 1.80.2.5  2009/08/19 07:13:43  lisu
- 0.11.3

Revision 1.80.2.4  2009/08/04 14:13:12  lisu
- up to 0.11.2
- restore previous apidocs bcond form (works good now)

Revision 1.80.2.3  2009/07/15 10:59:43  lisu
- up to 0.11.1
- revert apidocs bcond (didn't want to build)

Revision 1.80.2.2  2009/05/18 13:41:25  lisu
- fix commit logs

Revision 1.80.2.1  2009/05/18 13:39:04  lisu
- up to 0.11.0
- libpoppler.so.4 -> libpoppler.so.5
- add fofi headers

Revision 1.80  2009/05/18 13:31:36  lisu
- unstable versions go to DEVEL. reversed

Revision 1.78  2009/04/17 10:50:53  lisu
- up to 0.10.6
[fixes CVE-2009-0799, CVE-2009-0800, CVE-2009-1179, CVE-2009-1180,
CVE-2009-1181, CVE-2009-1182, CVE-2009-1183, CVE-2009-1187, CVE-2009-1188]

Revision 1.77  2009/03/21 12:24:51  megabajt
- added CVE references to rev. 1.74

Revision 1.76  2009/03/13 12:57:42  lisu
- 0.10.5
- cosmetics

Revision 1.75  2009/02/11 13:54:02  lisu
- reomve bogus commit log from DEVEL
- remove DEVEL branch

Revision 1.74  2009/02/11 13:52:34  lisu
- 0.10.4 [fixes CVE-2009-0755, CVE-2009-0756]

Revision 1.73  2009/01/15 14:59:42  duddits
- up to 0.10.3

Revision 1.72  2008/12/16 19:31:20  qboosh
- fixed libpoppler-qt4 soname

Revision 1.71  2008/12/13 21:12:46  gotar
- upgraded to 0.10.2

Revision 1.70  2008/11/09 16:16:18  megabajt
- release 3

Revision 1.69  2008/09/25 22:22:21  glen
- release 2

Revision 1.68  2008/09/25 11:32:31  glen
- adapter, rm apidocs if built without

Revision 1.67  2008/09/01 22:54:22  adamg
- updated to 0.8.7

Revision 1.66  2008/08/20 16:51:54  megabajt
- updated to 0.8.6
- removed obsolete -secfix.patch
- added apidocs subpackage

Revision 1.65  2008/08/11 07:15:22  adamg
- updated to 0.8.5

Revision 1.64  2008/07/11 21:56:59  megabajt
- updated to 0.8.4
- removed obsolete -qt4.patch
- added -secfix.patch which fixes CVE-2008-2950

Revision 1.63  2008/06/11 11:38:29  megabajt
- updated to 0.8.3

Revision 1.62  2008-05-18 16:41:42  megabajt
- updated to 0.8.2
- added CVE reference to rev. 1.58

Revision 1.61  2008-04-13 08:42:38  arekm
- rel 1

Revision 1.60  2008-04-01 11:33:34  sls
- there's only libpoppler-qt.so.2 (also in 0.7.2)

Revision 1.59  2008-04-01 11:24:13  sls
- moc-qt4 fixes

Revision 1.58  2008-04-01 11:05:20  sls
- ver. 0.8.0 (NFY)
- fixes [CVE-2008-1693]

Revision 1.57  2008-03-15 04:25:11  aredridel
- 0.7.2

Revision 1.56  2008-02-14 21:04:16  qboosh
- ghost soname symlinks

Revision 1.55  2008-02-13 14:25:38  lkrotowski
- up to 0.6.4

Revision 1.54  2007-12-16 19:16:49  qboosh
- updated to 0.6.3

Revision 1.53  2007-11-10 16:43:27  arekm
- up to 0.6.2; fixes CVE-2007-4352, CVE-2007-5392 and CVE-2007-5393

Revision 1.52  2007/11/04 07:54:13  qboosh
- updated to 0.6.1

Revision 1.51  2007/09/04 20:34:03  aflinta
- remove obsoleted patch from list

Revision 1.50  2007/09/04 20:14:34  wrobell
- rel. 1

Revision 1.49  2007/09/04 18:56:04  qboosh
- qt_m4 patch replaced by QTINC+QTLIB passing

Revision 1.48  2007/09/04 10:07:04  wrobell
- ver. 0.6

Revision 1.47  2007/08/27 05:54:56  qboosh
- updated to 0.5.91 (fixes CVE-2007-3387)

Revision 1.46  2007/06/02 16:35:28  qboosh
- updated to 0.5.9 (devel, but fixes CVE-2007-0104)
- updated qt_m4 patch, removed obsolete freetype_includes patch

Revision 1.45  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.44  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.43  2006/10/09 20:19:46  grzegol
- updated to 0.5.4
- removed outdated link patch (applied upstream)

Revision 1.42  2006/06/06 18:20:03  freetz
- rel.2

Revision 1.41  2006/06/06 17:29:23  freetz
- refresh gtk-doc.make

Revision 1.40  2006/06/02 06:04:52  freetz
- 0.5.3, missing header file already included

Revision 1.39  2006/05/27 09:36:09  qboosh
- updated to 0.5.2, updated qt_m4 patch, removed obsolete gcc4 patch
- add missing poppler-annotation-helper.h file from CVS
- qt4 linking seems fixed, cairo deps now belong to glib bindings

Revision 1.38  2006/04/03 18:21:58  arekm
- rel 2; disable qt4 crap

Revision 1.37  2006/03/01 18:40:41  pluto
- ldconfig for Qt.

Revision 1.36  2006/03/01 18:32:03  pluto
- Qt4 wrapper packaged.

Revision 1.35  2006/03/01 16:35:27  pluto
- qt4 wrapper fixed and enabled but not packaged yet.
   /usr/lib64/libpoppler-qt4.{a,la,so.*}
   /usr/lib64/pkgconfig/poppler-qt4.pc

Revision 1.34  2006/03/01 10:53:57  wrobell
- ver. 0.5.1

Revision 1.33  2006/02/25 13:54:14  freetz
- enable zlib support

Revision 1.32  2006/02/24 21:42:20  sparky
- added cvs patch (there was some missing files), 0.5.0 is developement release anyway
- rel 3

Revision 1.31  2006/02/10 09:05:47  freetz
- package xpdf headers too, rel.2

Revision 1.30  2006/01/27 11:43:26  adgor
- Apidocs bcond

Revision 1.29  2006/01/23 15:31:05  wrobell
- o: -utils

Revision 1.28  2006/01/23 15:08:40  wrobell
- s/poppler-utils/popplers-progs/ like in libxml2, libxslt...

Revision 1.27  2006/01/23 12:38:22  wrobell
- more descriptions

Revision 1.26  2006/01/20 09:30:33  freetz
- braindamage removed

Revision 1.25  2006/01/20 09:27:17  freetz
- note about qt dependency in utils subpkg

Revision 1.24  2006/01/20 09:23:43  freetz
- 0.5.0, utils subpkg, gtk-doc API docs

Revision 1.23  2006/01/11 09:47:32  wrobell
- ver. 0.4.4

Revision 1.22  2005/12/15 16:55:49  freetz
- 0.4.3

Revision 1.21  2005/12/11 11:20:15  qrczak
- C++ fixes needed for gcc4, mostly "extra qualification" errors.

Revision 1.20  2005/12/05 15:15:14  freetz
- late updated: 0.4.2

Revision 1.19  2005/11/29 17:32:54  adgor
- Added freetype_includes.patch

Revision 1.18  2005/08/28 17:41:06  arekm
- req final cairo

Revision 1.17  2005/08/26 22:52:39  aflinta
- 0.4.1

Revision 1.16  2005/08/16 08:04:29  freetz
- 0.4.0

Revision 1.15  2005/06/24 19:04:03  wrobell
- ver. 0.3.3

Revision 1.14  2005/05/21 11:13:14  wrobell
- ver. 0.3.2
- use cairo_ver for cairo dependencies

Revision 1.13  2005/05/07 11:58:37  wrobell
- ver. 0.3.1

Revision 1.12  2005/04/24 12:13:47  qboosh
- -qt is not backend to be precise

Revision 1.11  2005/04/24 11:47:49  freetz
- qt bcond added

Revision 1.10  2005/04/23 22:42:21  qboosh
- added qt patch to fix qt wrapper build, updated link patch, added glib,qt BRs
- separated glib and qt wrappers, release 2

Revision 1.9  2005/04/23 16:38:54  freetz
- 0.3.0

Revision 1.8  2005/04/06 10:20:40  wrobell
- ver. 0.2.0

Revision 1.7  2005/03/28 23:39:59  paladine
- rel. 1

Revision 1.6  2005/03/10 03:47:42  wrobell
- cairo enabled by default
- ver. 0.1.2

Revision 1.5  2005/03/04 22:24:17  qboosh
- added link patch

Revision 1.4  2005/03/04 21:33:51  qboosh
- License is GPL (not LGPL) - see README
- added BRs/Rs

Revision 1.3  2005/03/04 21:21:54  qboosh
- pl

Revision 1.2  2005/03/04 14:30:00  spider
- adaptarized

Revision 1.1  2005/03/04 14:21:15  wrobell
- based on template
